defaults = {
    'apt': {
        'packages': {
            'wide-dhcpv6-client': {},
        },
    },
    'nftables': {
        'input': {
            '10-wide-dhcp6c': [
                'udp dport { 546, 547 } ip6 saddr ff00::/12 accept',
                'udp dport { 546, 547 } ip6 saddr fe80::/10 accept',
            ],
        },
    },
    'icinga2_api': {
        'wide-dhcp6c': {
            'services': {
                'WIDE-DHCP6CD PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -C dhcp6c -c 1:',
                },
            },
        },
    },
    'wide-dhcp6c': {
        'subnet_len': '8',
    },
}

if node.has_bundle('pppd'):
    defaults.update({
        'pppd': {
            'wait-until-stopped': {
                'wide-dhcpv6-client.service',
            },
        }
    })
